﻿
@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<Settings>


@(
 Html.Grid(Model).Named("AllSettings").Columns(columns =>
 {
     columns.Add(x => x.Key)
         .Titled("Key")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Key).Filterable(true);

     columns.Add(x => x.Value)
         .Titled("Value")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Value).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
     .RenderValueAs(x => string.Format("<a href=\"{0}\" class=\"btn btn-xs btn-info\">Edit</a>", Url.Action(MVC.Settings.Edit(x.ID))));

     columns.Add()
         .Encoded(false)
         .Sanitized(false)
         .SetWidth(50)
         .Css("cell-center")
    .RenderValueAs(x => string.Format("<a href=\"{0}\" data-link=\"{1}\" data-name=\"{2}\" class=\"btn btn-xs btn-danger confirmModal\">Delete</a>", "#", Url.Action(MVC.Settings.Delete(x.ID)), x.Key));

 }).Filterable()
.Sortable()
.WithPaging(5)
)
